Subject: [hiprg] comments on draft-irtf-hip-experiment-10

From: "Ahrenholz, Jeffrey M" <[email-masked]>
Date: Thu, 3 Mar 2011 08:38:15 -0800

I reviewed the experiment report, below are some suggestions.

-Jeff

Section 2
replace "Windows XP and Vista" with "Windows XP/Vista/7"

Section 2.1.1
s/could potentially allow all implementations/all Linux implementations/

Section 2.3.1
For option 5) "DNS proxy supporting RFC5205", this should be changed to more generally cover RFC5205. The DNS proxy technique is distinct from storing HIP RR in a modified DNS server.

Section 2.3.2
s/leap of feath/leap of faith/
s/there is not/there is no/ ?

Section 2.3.2
May want to add a statement about OpenHIP and opportunistic mode:

The OpenHIP project experimented with opporunistic mode through the use of an
opportunistic (-o) option. For the responder, this option determines whether or not HIP accepts I1s received with a zeroed receiver's HIT. On the initiator's side, this option allows one to configure a name and LSI in the known Host Identities file. When the HIT field is missing, an I1 is sent with a zeroed receiver's HIT. The LSI is needed by an IPv4 application to trigger the association. Note that normally the LSI used is based on the bottom 24 bits of the HIT, but in the case of opportunistic mode, the HIT is unknown; thus the LSI may differ from the HIT.

Section 2.3.7
regarding the Boeing pilot project:
s/certificates are planned to be generated/certificates were generated/

also add reference to cert spec:

 Use of certificates in HIP requires extensions to
    the HIP specifications [ID.ietf-hip-cert].

(and freshen the reference to -09 revision)

Section 3.4
Seems there is an extra [RFC5204] reference in the first sentence.

Section 4.1
s/Another unexperimented way to transparently use HIP is/
 Another method for transparently using HIP, which has no implementation experience, is/

may want a reference here to draft-irtf-hiprg-proxies-01 here

Section 5.1
s/insert it to/insert it into/

Section 5.2
2nd paragraph regarding low-power devices cites a mobiarch paper but nowhere references DEX (Diet-Exchange) draft-moskowitz-hip-rg-dex-04

Section 5.3
may revise text with:
  Furthermore, legacy firewalls often disallow IPsec traffic and drop
  HIP control packets, if UDP encapsulation is not used.

s/reputation purposes/non-repudiation purposes/

Section 5.4
s/implemented HIP firewall/implemented a HIP-aware firewall/

may want reference to draft-heer-hip-middle-auth-02

Section 6
Nowhere mentions the use of anonymous HITs with regards to privacy issues.